## hfd-service 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(hfd-service)
set(CMAKE_CXX_STANDARD 14)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FindPkgConfig)
include(GNUInstallDirs)

pkg_check_modules(UDEV REQUIRED libudev)

option(ENABLE_LIBHYBRIS "Enable libhybris support" ON)

if (ENABLE_LIBHYBRIS)
  pkg_check_modules(ANDROID_HEADERS android-headers)
  pkg_check_modules(ANDROID_HARDWARE libhardware)
  if(ANDROID_HEADERS_FOUND AND ANDROID_HARDWARE_FOUND)
    message(STATUS "Bulding with libhybris support")
    set(HAVE_LIBHYBRIS true)
  else()
    message(WARNING "Bulding without libhybris support, missing required dependencies!")
  endif()
else()
  message(STATUS "Bulding without libhybris support")
endif()

find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(qt)

# Dbus file
install(FILES data/hfd-service.conf 
  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/init
)

# Dbus policy
install(FILES data/com.lomiri.hfd.conf
  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d
)

=== src/CMakeLists.txt ===
add_subdirectory(udev)

if (HAVE_LIBHYBRIS)
    include_directories(
        ${ANDROID_HEADERS_INCLUDE_DIRS}
    )

    set(LIBHYBRIS_SRC
        leds-hybris.cpp
    )

    set(LIBHYBRIS_LIBRARIES
        ${ANDROID_HARDWARE_LIBRARIES}
    )

    add_definitions(-DHAVE_LIBHYBRIS)
endif()

add_library(hfd-core STATIC
    leds.cpp
    leds-sysfs.cpp

    vibrator.cpp
    vibrator-ff.cpp
    vibrator-sysfs.cpp
    vibrator-legacy.cpp

    ${LIBHYBRIS_SRC}
)

target_link_libraries(hfd-core
    udev-cpp
    ${LIBHYBRIS_LIBRARIES}
)

set(SERVICE_SRC
    service.cpp
    dbusAdaptor.h
)

qt5_add_dbus_adaptor(SERVICE_SRC
    ${CMAKE_SOURCE_DIR}/data/com.lomiri.hfd.xml ${CMAKE_CURRENT_SOURCE_DIR}/dbusAdaptor.h DbusAdaptor
)

add_executable(hfd-service
    ${SERVICE_SRC} 
)

target_link_libraries(hfd-service
    hfd-core

    Qt5::Core
    Qt5::DBus
)

install(TARGETS hfd-service RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
hfd-service (0.1.0-4) unstable; urgency=medium

  * debian/control:
    + Build requires a fix introduced with qtfeedback5-dev
      5.0~git20180903.a14bd0b-3. (Closes: #1002757).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 22:55:42 +0100

hfd-service (0.1.0-3) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:50:16 +0100

hfd-service (0.1.0-2) experimental; urgency=medium

  * debian/control:
    + Add B-D systemd ([linux-any]).
    + Add B-D: dh-exec.
  * debian/hfd-service.install:
    + Use dh-exec to architectures-based install hfd-service.service file
      for systemd.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 May 2021 00:57:06 +0200

hfd-service (0.1.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #986627).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Apr 2021 20:29:39 +0200

=== debian/control ===
Source: hfd-service
Section: admin
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.10),
               debhelper-compat (= 13),
               dh-exec,
               pkg-config,
#               libandroid-properties-dev,
#               libhardware-dev,
#               android-headers,
               libudev-dev,
               qtbase5-dev,
               qtfeedback5-dev (>= 5.0~git20180903.a14bd0b-3~),
               cmake-extras,
               qtdeclarative5-dev,
               systemd [linux-any],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/ubports/hfd-service
Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git
Vcs-Browser: https://salsa.debian.org/ubports-team/hfd-service/

Package: hfd-service
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: system D-Bus service for accessing human feedback devices
 Human feedback device service is a D-Bus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 The package contains the HFD system service.

Package: libqt5feedback5-hfd
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: Qt feedback library extension for accessing the HFD service
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains the Qt feedback library extension for accessing
 the HFD service.

Package: qml-module-hfd
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: QML bindings for HFD Service
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains the QML bindings for accessing the HFD Service.

Package: hfd-service-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hfd-service,
Description: Tools to detect and configure devices
 Human feedback device service is a Dbus activated service that manages
 human feedback devices such as LEDs and vibrators on mobile devices.
 .
 This package contains tools for accessing the HFD service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem cmake


override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/hfd-service/tags .*/hfd-service-(\d\S+)\.tar\.gz

## hfd-service 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.0)
-project(hfd-service)
+cmake_minimum_required(VERSION 3.5)
+project(hfd-service VERSION 0.2.0)
 set(CMAKE_CXX_STANDARD 14)
 
 set(CMAKE_AUTOMOC ON)
@@ -9,6 +9,7 @@
 include(GNUInstallDirs)
 
 pkg_check_modules(UDEV REQUIRED libudev)
+pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
 
 option(ENABLE_LIBHYBRIS "Enable libhybris support" ON)
 
@@ -25,6 +26,21 @@
   message(STATUS "Bulding without libhybris support")
 endif()
 
+option(ENABLE_LIBGBINDER "Enable libgbinder support" ON)
+
+if (ENABLE_LIBGBINDER)
+  pkg_check_modules(GLIB_UTIL libglibutil)
+  pkg_check_modules(GBINDER libgbinder)
+  if(GLIB_UTIL_FOUND AND GBINDER_FOUND)
+    message(STATUS "Bulding with libgbinder support")
+    set(HAVE_LIBGBINDER true)
+  else()
+    message(WARNING "Bulding without libgbinder support, missing required dependencies!")
+  endif()
+else()
+  message(STATUS "Bulding without libgbinder support")
+endif()
+
 find_package(Qt5Core REQUIRED)
 find_package(Qt5DBus REQUIRED)
 
@@ -33,13 +49,16 @@
 add_subdirectory(src)
 add_subdirectory(tools)
 add_subdirectory(qt)
-
-# Dbus file
-install(FILES data/hfd-service.conf 
-  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/init
-)
+add_subdirectory(init)
 
 # Dbus policy
 install(FILES data/com.lomiri.hfd.conf
   DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d
 )
+
+# Dbus service file
+configure_file(data/com.lomiri.hfd.service.in com.lomiri.hfd.service)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.hfd.service
+  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system-services
+)
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,25 @@
     add_definitions(-DHAVE_LIBHYBRIS)
 endif()
 
+if (HAVE_LIBGBINDER)
+    include_directories(
+        ${GLIB_UTIL_INCLUDE_DIRS}
+        ${GBINDER_INCLUDE_DIRS}
+    )
+
+    set(LIBGBINDER_SRC
+        leds-binder.cpp
+        vibrator-binder.cpp
+    )
+
+    set(LIBGBINDER_LIBRARIES
+        ${GLIB_UTIL_LDFLAGS} ${GLIB_UTIL_LIBRARIES}
+        ${GBINDER_LDFLAGS} ${GBINDER_LIBRARIES}
+    )
+
+    add_definitions(-DHAVE_LIBGBINDER)
+endif()
+
 add_library(hfd-core STATIC
     leds.cpp
     leds-sysfs.cpp
@@ -26,11 +45,17 @@
     vibrator-legacy.cpp
 
     ${LIBHYBRIS_SRC}
+    ${LIBGBINDER_SRC}
 )
 
 target_link_libraries(hfd-core
     udev-cpp
     ${LIBHYBRIS_LIBRARIES}
+    ${LIBGBINDER_LIBRARIES}
+)
+
+include_directories(
+    ${DEVICEINFO_INCLUDE_DIRS}
 )
 
 set(SERVICE_SRC
@@ -51,6 +76,7 @@
 
     Qt5::Core
     Qt5::DBus
+    ${DEVICEINFO_LDFLAGS}
 )
 
-install(TARGETS hfd-service RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(TARGETS hfd-service RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== qt/feedback-plugin/CMakeLists.txt ===
find_package(PkgConfig)
find_package(Qt5Core REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Feedback REQUIRED)

qt5_add_resources(FEEDBACK_RESOURCES feedback.qrc)

set(QTFEEDBACK_HFD_SRC
  hfd_feedback.h
  hfd_feedback.cpp
)

qt5_add_dbus_interface(QTFEEDBACK_HFD_SRC
    ${CMAKE_SOURCE_DIR}/data/com.lomiri.hfd.xml hfdInterface
)

add_library(
  qtfeedback_hfd SHARED

  ${QTFEEDBACK_HFD_SRC}
  ${FEEDBACK_RESOURCES}
)

# Ideally, we would read the plugin installation location from cmake
# but this does not work currently.
set(PLUGIN_INSTALL_LOCATION "${CMAKE_INSTALL_LIBDIR}/qt5/plugins/feedback")
# get_target_property(PLUGIN_LOCATION Qt5::Feedback PLUGIN_LOCATION)

message(STATUS "Installing Qt5 feedback plugin to: ${PLUGIN_INSTALL_LOCATION}")

target_link_libraries(
  qtfeedback_hfd

  ${CMAKE_THREAD_LIBS_INIT}

  Qt5::Core
  Qt5::DBus
  Qt5::Feedback
)

install(
  TARGETS qtfeedback_hfd
  LIBRARY DESTINATION ${PLUGIN_INSTALL_LOCATION})

=== debian/changelog ===
hfd-service (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/hfd-service.install:
    + Install new D-Bus service activation file into bin:pkg.
  * lintian: Adjust overrides to new syntax.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 01:08:28 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-exec,
                pkg-config,
 #               libandroid-properties-dev,
+               libdeviceinfo-dev,
 #               libhardware-dev,
 #               android-headers,
                libudev-dev,
@@ -17,7 +18,7 @@
                cmake-extras,
                qtdeclarative5-dev,
                systemd [linux-any],
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ubports/hfd-service
 Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git

## hfd-service 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(hfd-service VERSION 0.2.0)
+project(hfd-service VERSION 0.2.1)
 set(CMAKE_CXX_STANDARD 14)
 
 set(CMAKE_AUTOMOC ON)
@@ -10,6 +10,13 @@
 
 pkg_check_modules(UDEV REQUIRED libudev)
 pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
+
+# For variables only.
+pkg_check_modules(DBUS_1 REQUIRED dbus-1)
+pkg_get_variable(DBUS_INTERFACES_DIR dbus-1 interfaces_dir)
+
+pkg_check_modules(ACCOUNTSSERVICE REQUIRED accountsservice)
+pkg_get_variable(AS_INTERFACES_DIR accountsservice interfacesdir)
 
 option(ENABLE_LIBHYBRIS "Enable libhybris support" ON)
 
@@ -62,3 +69,12 @@
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system-services
 )
 
+# AccountsService interface
+install(FILES data/com.lomiri.hfd.AccountsService.Settings.xml
+  DESTINATION ${DBUS_INTERFACES_DIR})
+install(DIRECTORY DESTINATION ${AS_INTERFACES_DIR})
+install(CODE "message(STATUS
+  \"Symlinking: \$ENV{DESTDIR}${AS_INTERFACES_DIR}/com.lomiri.hfd.AccountsService.Settings.xml\")")
+install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink
+  ../../dbus-1/interfaces/com.lomiri.hfd.AccountsService.Settings.xml
+  \$ENV{DESTDIR}${AS_INTERFACES_DIR}/com.lomiri.hfd.AccountsService.Settings.xml)")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,16 +59,37 @@
 )
 
 set(SERVICE_SRC
+    credentialscache.cpp
+    credentialscache.h
     service.cpp
     dbusAdaptor.h
+    usersettings.cpp
+    usersettings.h
 )
+
+set_source_files_properties(bus.xml PROPERTIES
+  CLASSNAME BusInterface
+  NO_NAMESPACE TRUE)
+qt5_add_dbus_interface(interface_files bus.xml businterface)
+
+set_source_files_properties(properties.xml PROPERTIES
+  CLASSNAME PropertiesInterface
+  NO_NAMESPACE TRUE)
+qt5_add_dbus_interface(interface_files properties.xml propertiesinterface)
+
+set(ACCOUNTS_INTERFACE_FILE "${DBUS_INTERFACES_DIR}/org.freedesktop.Accounts.xml")
+set_source_files_properties(${ACCOUNTS_INTERFACE_FILE} PROPERTIES
+  CLASSNAME ASInterface
+  NO_NAMESPACE TRUE)
+qt5_add_dbus_interface(interface_files ${ACCOUNTS_INTERFACE_FILE} asinterface)
 
 qt5_add_dbus_adaptor(SERVICE_SRC
     ${CMAKE_SOURCE_DIR}/data/com.lomiri.hfd.xml ${CMAKE_CURRENT_SOURCE_DIR}/dbusAdaptor.h DbusAdaptor
 )
 
 add_executable(hfd-service
-    ${SERVICE_SRC} 
+    ${SERVICE_SRC}
+    ${interface_files}
 )
 
 target_link_libraries(hfd-service

=== debian/changelog ===
hfd-service (0.2.1-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052639)

  [ Marius Gripsgard ]
  * New upstream release
  * Add myself as uploader
  * Correct git/upstream url

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 15 Dec 2023 00:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.10),
+ Marius Gripsgard <marius@debian.org>,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
                pkg-config,
@@ -18,9 +19,12 @@
                cmake-extras,
                qtdeclarative5-dev,
                systemd [linux-any],
+               accountsservice:native,
+               libaccountsservice-dev,
+               libdbus-1-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://github.com/ubports/hfd-service
+Homepage: https://gitlab.com/ubports/development/core/hfd-service
 Vcs-Git: https://salsa.debian.org/ubports-team/hfd-service.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/hfd-service/

## hfd-service 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(hfd-service VERSION 0.2.1)
+project(hfd-service VERSION 0.2.2)
 set(CMAKE_CXX_STANDARD 14)
 
 set(CMAKE_AUTOMOC ON)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,8 @@
     dbusAdaptor.h
     usersettings.cpp
     usersettings.h
+    vibrator-controller.cpp
+    vibrator-controller.h
 )
 
 set_source_files_properties(bus.xml PROPERTIES

=== tools/CMakeLists.txt ===
add_executable(hfd-service-tools-leds
    hfd_leds.cpp
)
add_executable(hfd-service-tools-vibrator
    hfd_vibrator.cpp
)

include_directories("../src")

target_link_libraries(hfd-service-tools-leds
    hfd-core
)

target_link_libraries(hfd-service-tools-vibrator
    hfd-core
)

install(TARGETS hfd-service-tools-leds RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS hfd-service-tools-vibrator RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
hfd-service (0.2.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:22:50 +0000

hfd-service (0.2.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:24:50 +0000

hfd-service (0.2.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:36:08 +0000

hfd-service (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060468).
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hfd-service
 Section: admin
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@debian.org>,
@@ -18,7 +19,7 @@
                qtfeedback5-dev (>= 5.0~git20180903.a14bd0b-3~),
                cmake-extras,
                qtdeclarative5-dev,
-               systemd [linux-any],
+               systemd-dev [linux-any],
                accountsservice:native,
                libaccountsservice-dev,
                libdbus-1-dev,

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/hfd-service/tags .*/hfd-service-(\d\S+)\.tar\.gz

## hfd-service 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(hfd-service VERSION 0.2.2)
+project(hfd-service VERSION 0.2.3)
 set(CMAKE_CXX_STANDARD 14)
 
 set(CMAKE_AUTOMOC ON)

=== init/CMakeLists.txt ===
##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_SYSTEM_DIR systemd systemdsystemunitdir)
    message (STATUS "${SYSTEMD_SYSTEM_DIR} is the systemd system unit file install dir")

    set (SYSTEMD_SYSTEM_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_SYSTEM_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_SYSTEM_NAME}")
    set (SYSTEMD_SYSTEM_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_SYSTEM_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_SYSTEM_FILE_IN}" "${SYSTEMD_SYSTEM_FILE}")

    # install it
    install (FILES "${SYSTEMD_SYSTEM_FILE}"
             DESTINATION "${SYSTEMD_SYSTEM_DIR}")

endif()

=== qt/CMakeLists.txt ===
add_subdirectory(feedback-plugin)
add_subdirectory(qml)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,8 @@
 
     set(LIBGBINDER_SRC
         leds-binder.cpp
-        vibrator-binder.cpp
+        vibrator-binder-aidl.cpp
+        vibrator-binder-hidl.cpp
     )
 
     set(LIBGBINDER_LIBRARIES

=== qt/qml/CMakeLists.txt ===
find_package(QmlPlugins)
find_package(Qt5Gui REQUIRED)

set(HFD_QML_SRC
    plugin.cpp
    leds.cpp
)

qt5_add_dbus_interface(HFD_QML_SRC
    ${CMAKE_SOURCE_DIR}/data/com.lomiri.hfd.xml hfdInterface
)

add_library(hfd-qml MODULE
    ${HFD_QML_SRC}
)

target_link_libraries(hfd-qml
    hfd-core

    Qt5::Core
    Qt5::Gui
    Qt5::DBus
)

add_qmlplugin(
  Hfd
  1.0
  Hfd
  TARGET_PREFIX Hfd
  TARGETS hfd-qml
)

=== src/udev/CMakeLists.txt ===

add_library(udev-cpp STATIC 
    udev.cpp
    udevDevice.cpp
    udevEnumerate.cpp
    udevMonitor.cpp
)

target_link_libraries(udev-cpp 
    ${UDEV_LIBRARIES}
)

=== debian/changelog ===
hfd-service (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:50:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hfd-service
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+export systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd)
 
 %:
 	dh $@ --buildsystem cmake
